# List_All_Exposure_Zones_For_Customer

Retrieve a customers exposure-zones.

`GET /v2/customers/{id}/exposure-zones`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Customers
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Customers/List_All_Exposure_Zones_For_Customer/

## Description

Retrieve all exposure-zones associated with a customer.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access your companies client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` |  | path | Yes | The id of the customer. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `ExposureZone` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `ExposureZone`

Exposure Zone Model

| Property | Type | Required | Description |
|---|---|---|---|
| `auto_ship_to` | boolean | No | If enabled, will add a corresponding ship to state when this exempt reason is used. Example: `true`. |
| `country` | object | No | CertCaptures COUNTRY model |
| `description` | string | No | The description of the Exposure Zone. Example: `North Carolina Sales Tax`. |
| `name` | string | No | The name of the Exposure Zone. Example: `North Carolina`. |
| `state` | object | No | The document type of the invalid reason. |
| `tag` | string | No | A short description of the exposure zone. Example: `EZ_US_NC`. |

## Example Request

```bash
curl -X GET "https://sbx-api.certcapture.com/v2/v2/customers/{id}/exposure-zones" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```